Bug 1367990 - segfault, GLib-GObject: invalid cast from 'GdkWaylandDisplay' to 'GdkX11Display'
Summary: segfault, GLib-GObject: invalid cast from 'GdkWaylandDisplay' to 'GdkX11Display'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-18 04:34 UTC by Parag Nemade
Modified: 2016-09-09 16:55 UTC (History)
1 user (show)

Fixed In Version: chromium-52.0.2743.116-10.fc24 chromium-52.0.2743.116-10.fc25 chromium-52.0.2743.116-10.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-29 18:51:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Parag Nemade 2016-08-18 04:34:12 UTC
Description of problem:
With the latest update from koji on Fedora 25, I am getting a crash

$ chromium-browser 
** Message: Remote error from secret service: org.freedesktop.Secret.Error.IsLocked: Cannot get secret of a locked object
[13809:13835:0818/095941:ERROR:native_backend_libsecret.cc(517)] Unable to load secret itemCannot get secret of a locked object
** Message: Remote error from secret service: org.freedesktop.Secret.Error.IsLocked: Cannot get secret of a locked object
[13809:13835:0818/095941:ERROR:native_backend_libsecret.cc(517)] Unable to load secret itemCannot get secret of a locked object
[13809:13809:0818/095945:ERROR:browser_main_loop.cc(283)] GLib-GObject: invalid cast from 'GdkWaylandDisplay' to 'GdkX11Display'
[13809:13809:0818/095945:ERROR:browser_main_loop.cc(283)] GLib-GObject: invalid cast from 'GdkWaylandDisplay' to 'GdkX11Display'
[13809:13809:0818/095945:ERROR:browser_main_loop.cc(283)] GLib-GObject: invalid cast from 'GdkWaylandDisplay' to 'GdkX11Display'
[13809:13809:0818/095945:ERROR:browser_main_loop.cc(283)] GLib-GObject: invalid cast from 'GdkWaylandDisplay' to 'GdkX11Display'
Segmentation fault (core dumped)


Version-Release number of selected component (if applicable):
chromium-52.0.2743.116-9.fc25.x86_64
chromium-libs-media-52.0.2743.116-9.fc25.x86_64
chromium-libs-52.0.2743.116-9.fc25.x86_64


How reproducible:
always

Steps to Reproduce:
1. just update the chromium from updates-testing repo
2. run chromium-browser
3.

Actual results:
segfault as given above

Expected results:
should be running fine

Additional info:

Comment 1 Parag Nemade 2016-08-18 05:07:36 UTC
After googling on this segfault found this solution working https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=833342#10

Comment 2 Parag Nemade 2016-08-18 05:20:03 UTC
After using for few pages I found the mouse pointer is not coming exactly on the hyperlinks or any widgets for click/selection, sometimes even I did not get to click on buttons.

Comment 3 Tom "spot" Callaway 2016-08-18 19:41:29 UTC
Please try with -10:

http://koji.fedoraproject.org/koji/buildinfo?buildID=792915

Comment 4 Parag Nemade 2016-08-19 05:46:05 UTC
Thank you for quick update. Its working fine :)

Comment 5 Fedora Update System 2016-08-26 13:32:33 UTC
chromium-52.0.2743.116-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a0c80295c

Comment 6 Fedora Update System 2016-08-26 13:33:13 UTC
chromium-52.0.2743.116-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8d9311f8

Comment 7 Fedora Update System 2016-08-26 13:33:48 UTC
chromium-52.0.2743.116-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f156038c8

Comment 8 Fedora Update System 2016-08-27 12:53:00 UTC
chromium-52.0.2743.116-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a0c80295c

Comment 9 Fedora Update System 2016-08-27 21:50:07 UTC
chromium-52.0.2743.116-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f156038c8

Comment 10 Fedora Update System 2016-08-27 22:21:32 UTC
chromium-52.0.2743.116-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8d9311f8

Comment 11 Fedora Update System 2016-08-29 18:51:47 UTC
chromium-52.0.2743.116-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-31 16:28:24 UTC
chromium-52.0.2743.116-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-09 16:54:35 UTC
chromium-52.0.2743.116-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.